Resource

Alert Custom Field

Manage custom fields for your alert.

The Alert Custom Field Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description of this custom field that will help you remember

  • Name
    customFieldType
    Type
    Custom Field Type
    Description

    Is this field Text, Number or Boolean?

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/alert-custom-field/get-list

List

This endpoint allows you to retrieve a paginated list of all your Alert Custom Field. By default, a maximum of ten Alert Custom Field are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/alert-custom-field/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "customFieldType": true,
    "description": true
  },
  "query": {
    "name": "Priority Level"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376adaf0-28fe-11f1-b591-3fdcef396aba",
      "name": "Priority Level",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
      "customFieldType": "Text",
      "description": "This field indicates the priority level of the alert (Low, Medium, High, Critical)"
    },
    {
      "_id": "376adaf1-28fe-11f1-b591-3fdcef396aba",
      "name": "Priority Level",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
      "customFieldType": "Text",
      "description": "This field indicates the priority level of the alert (Low, Medium, High, Critical)"
    },
    {
      "_id": "376adaf2-28fe-11f1-b591-3fdcef396aba",
      "name": "Priority Level",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
      "customFieldType": "Text",
      "description": "This field indicates the priority level of the alert (Low, Medium, High, Critical)"
    }
  ]
}
GETorPOST/api/alert-custom-field/:id/get-item

Get item by ID

This endpoint allows you to retrieve Alert Custom Field by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/alert-custom-field/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "customFieldType": true,
    "description": true
  }
}

Response

{
  "_id": "376adaf0-28fe-11f1-b591-3fdcef396aba",
  "name": "Priority Level",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
  "customFieldType": "Text",
  "description": "This field indicates the priority level of the alert (Low, Medium, High, Critical)"
}
POST/api/alert-custom-field/count

Count

This endpoint allows you to retrieve the count of all your Alert Custom Field.

Optional Request Body

Count Request

POST
/api/alert-custom-field/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Priority Level"
  }
}

Response

{
  "count": 107
}
POST/api/alert-custom-field

Create Alert Custom Field

This endpoint allows you to create a new object.

Create Request

POST
/api/alert-custom-field
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Priority Level",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
    "customFieldType": "Text",
    "description": "This field indicates the priority level of the alert (Low, Medium, High, Critical)"
  }
}

Response

{
  "_id": "376adaf0-28fe-11f1-b591-3fdcef396aba",
  "name": "Priority Level",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
  "customFieldType": "Text",
  "description": "This field indicates the priority level of the alert (Low, Medium, High, Critical)"
}
PUT/api/alert-custom-field/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/alert-custom-field/:id/update-item
GET/api/alert-custom-field/:id/update-item

Update Request

PUT
/api/alert-custom-field/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Priority Level",
    "description": "This field indicates the priority level of the alert (Low, Medium, High, Critical)"
  }
}

Response

{}
DELETE/api/alert-custom-field/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/alert-custom-field/:id/delete-item
GET/api/alert-custom-field/:id/delete-item

Delete Request

DELETE
/api/alert-custom-field/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Alert Custom Field

  • Project Owner
  • Project Admin
  • Project Member
  • Read Alert Custom Field
  • Read All Project Resources

Create Permissions

Required to create Alert Custom Field

  • Project Owner
  • Project Admin
  • Create Alert Custom Field

Update Permissions

Required to update Alert Custom Field

  • Project Owner
  • Project Admin
  • Edit Alert Custom Field

Delete Permissions

Required to delete Alert Custom Field

  • Project Owner
  • Project Admin
  • Delete Alert Custom Field